
Foreman - Bug #374

Reloading the webpage of a deleted host

09/08/2010 07:41 PM - Tony Garcia

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When deleting a node/host directly in the page that shows it's details e.g. http://foreman/hosts/&lt;id> foreman attempts to load again

that page(that is now deleted) showing an ugly:

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator, root@localhost and inform them of the time the error occurred, and anything you might have

done that may have caused the error.

More information about this error may be available in the server error log.

Apache/2.2.3 (Red Hat) Server at foreman Port 80

History

#1 - 09/08/2010 07:49 PM - Tony Garcia

It actually happens from the "Delete" or "Destroy" for any host.

#2 - 09/19/2010 03:18 PM - Ohad Levy

- Status changed from New to Feedback

I'm not sure I can reproduce this... I've clicked on delete host (in the host show page or index page) and in both cases i got back to the list of hosts.....

can you provide the relevant log entry from your apache or foreman log?

#3 - 09/28/2010 04:42 PM - Tony Garcia

I think is important to say that I'm currently using foreman as a reporter tool, as I don't use external nodes nor storeconfigs at this moment, also

foreman receives most of the reports/facts from external puppetmasters.

Here the log:

Error during failsafe response: closed stream

*** Exception NoMethodError in application (undefined method `each' for nil:NilClass) (process 14968):

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/rack/request_handler.rb:95:in `

process_request'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_request_handler.rb:206

:in `main_loop'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/railz/application_spawner.rb:37

6:in `start_request_handler'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/railz/application_spawner.rb:33

4:in `handle_spawn_application'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/utils.rb:182:in `safe_fork'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/railz/application_spawner.rb:33

2:in `handle_spawn_application'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:351:in `__se

nd__'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:351:in `main
_loop'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:195:in `star

t_synchronously'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:162:in `star

t'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/railz/application_spawner.rb:21

3:in `start'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/spawn_manager.rb:261:in `spawn_

rails_application'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_server_collection.rb:1

26:in `lookup_or_add'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/spawn_manager.rb:255:in `spawn_

rails_application'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_server_collection.rb:8

0:in `synchronize'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_server_collection.rb:7

9:in `synchronize'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/spawn_manager.rb:254:in `spawn_

rails_application'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/spawn_manager.rb:153:in `spawn_

application'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/spawn_manager.rb:286:in `handle

_spawn_application'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:351:in `__se

nd__'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:351:in `main

_loop'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:195:in `star

t_synchronously'

        from /usr/lib/ruby/gems/1.8/gems/passenger-2.2.4/bin/passenger-spawn-server:61

[Tue Sep 28 08:29:26 2010] [error] [client 10.14.17.88] Premature end of script headers: hosts, referer: http:

//foreman.example.com/dashboard/OutOfSync

[ pid=14425 file=ext/apache2/Hooks.cpp:674 time=2010-09-28 08:29:26.303 ]:

  The backend application (process 14968) didn't send a valid HTTP response. It might have crashed during the 

middle of sending an HTTP response, so please check whether there are crashing problems in your application. T

his is the data that it sent: [X-Powered-By]

#4 - 11/09/2010 09:20 AM - Ohad Levy

I can't reproduce this on the latest version (0.1.6rc) can you try it again and confirm if it still happening?

#5 - 11/09/2010 02:52 PM - Tony Garcia

Not able to reproduce it anymore on 0.1.5, I'll try in 0.1.6rc too.

Thanks.

#6 - 11/09/2010 03:27 PM - Ohad Levy

- Status changed from Feedback to Closed
